<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

require_once"../template/isset.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

$time=time();

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo'<img src="../images/img/menu.gif" alt=""> <b>Управление мини-чатом</b><br>';


//---------------------------------------- ПОДТВЕРЖДЕНИЕ ОЧИСТКИ -------------------------------------------//
if ($action=="prodel") {
echo'<br>Вы уверены что хотите удалить все сообщения в мини-чате?<br>';
echo'<img src="../images/img/error.gif" alt=""> <b><a href="chat.php?action=delchat&amp;'.SID.'">Да уверен!</a></b><br>';	
	
echo '<br><img src="../images/img/back.gif" alt=""> <a href="chat.php?'.SID.'">Вернуться</a>';
}


//---------------------------------------- ОЧИСТКА МИНИ-ЧАТА -------------------------------------------//
if ($action=="delchat") {
	
clear_files("../local/chat.dat");	

header ("Location: chat.php?isset=mp_delchat&".SID);
}





//---------------------------------------- УДАЛЕНИЕ СООБЩЕНИЯ -------------------------------------------//
if ($action=="delpost") {
if($id!=""){	
$file=file("../local/chat.dat");
$fp=fopen("../local/chat.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
header ("Location: chat.php?start=$start&isset=mp_delpostchat&".SID);
}

//---------------------------------------- РЕДАКТИРОВАНИЕ СООБЩЕНИЯ -------------------------------------------//
if($action=="editpost") {
if($id!="" && $msg!="" && $name!=""){
	
$lines=file("../local/chat.dat");
$dte=explode("|", $lines[$id]);


$msg=check($msg);
$name=check($name);	


$msg = smiles($msg);

$text=$msg.'|'.$name.'|'.$dte[2].'|'.$dte[3].'|'.$dte[4].'|'.$dte[5].'|'.$dte[6].'|'.$dte[7].'|'.$dte[8].'|';
$text=preg_replace ("|[\r\n]+|si","",$text);


$file=file("../local/chat.dat");
$fp=fopen("../local/chat.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($id!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
}

header ("Location: chat.php?start=$start&isset=mp_editpostchat&".SID);
}


//---------------------------------------- ГЛАВНАЯ СТРАНИЦА -------------------------------------------//
if(!isset($action)){
	
$file = file("../local/chat.dat");
$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_chatpost){ $end = $total; }
else {$end = $start + $config_chatpost; }
for ($fm = $start; $fm < $end; $fm++){

$file = file("../local/chat.dat");
$file = array_reverse($file);
$dt = explode("|",$file[$fm]);
$i2=round($fm+1);

$num=$total-$fm-1;
$dt[3]=date("H:i",$dt[3]);
$dt[0]=bb_code($dt[0]);

if($fm>=0){
echo '<div class=b><img src="../images/img/edit.gif" alt=""> ';

if($dt[1]!="Вундер-киндер" && $dt[1]!="Настюха" && $dt[1]!="Весальчак"){
echo '<b><a href="../pages/anketa.php?uz='.$dt[1].'&amp;'.SID.'"> '.$dt[1].'</a></b> ';
}else{echo '<b>'.$dt[1].'</b> ';}

if($dt[1]!="Вундер-киндер" && $dt[1]!="Настюха" && $dt[1]!="Весальчак"){
echo '<a href="chat.php?action=edit&amp;id='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Edit]</a>';
echo '<a href="chat.php?action=delpost&amp;id='.$num.'&amp;start='.$start.'&amp;'.SID.'">[DEL]</a>';
echo'<a href="zaban.php?action=edit&amp;users='.$dt[1].'&amp;'.SID.'">[Бан]</a>';}

echo '<br>('.$dt[2].' / '.$dt[3].')</div>'.$dt[0];
echo '<br><font color="#CC00CC">('.$dt[4].', '.$dt[5].')</font><br>';
}

}
if($total<1){echo '<br><img src="../images/img/reload.gif" alt=""> <b>Мини-чат пуст</b><br>';}   




echo'<hr>';   
if ($start != 0) {echo '<a href="chat.php?start='.($start - $config_chatpost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_chatpost) {echo ' <a href="chat.php?start='.($start + $config_chatpost).'&amp;'.SID.'">Далее -&gt;</a>';}else{echo' Далее-&gt;';}



if($total>0){

$ba=ceil($total/$config_chatpost);
$ba2=$ba*$config_chatpost-$config_chatpost;

echo '<br><hr>Страницы:';
$asd=$start-($config_chatpost*4);
$asd2=$start+($config_chatpost*5);

if($asd<$total && $asd>0){echo ' <a href="chat.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_chatpost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
               }
                else {
echo ' <a href="chat.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_chatpost;}
if($asd2<$total){echo ' ... <a href="chat.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}
echo '<br><br>Всего сообщений : '.(int)$total.' <br>';
}
 
//-------------------------------- ПОДГОТОВКА К РЕДАКТИРОВАНИЮ ----------------------------------//
if($action=="edit") {
$lines=file("../local/chat.dat");

if($id!="")  {
$dt=explode("|", $lines[$id]);

$dt[0]=str_replace('<img src="../images/smiles/',':',$dt[0]);
$dt[0]=str_replace('.gif" alt="">','',$dt[0]);
$dt[0]=str_replace('<b>','[b]',$dt[0]);
$dt[0]=str_replace('</b>','[/b]',$dt[0]);

echo '<br>Редактирование: ';

if($config_themes!="wml"){
echo '<form action="chat.php?action=editpost&amp;id='.$id.'&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo 'Имя: <br><input type=text name="name" value="'.$dt[1].'"><br/>'; 
echo 'Cообщение:<br>';
echo '<textarea cols="25" rows="3" name="msg">'.$dt[0].'</textarea><br/>';
echo '<br><input type="submit" value="Изменить"></form><hr>';
}else{

echo'<br>--------------------<br>';
echo'Имя:<br>';
echo'<input name="name" value="'.$dt[1].'"/><br>';
echo'Cообщение:<br>';
echo'<input name="msg" value="'.$dt[0].'"/><br>';


echo'<anchor>Изменить';
echo'<go href="chat.php?action=editpost&amp;id='.$id.'&amp;start='.$start.'&amp;'.SID.'" method="post">';

echo'<postfield name="name" value="$(name)"/>';
echo'<postfield name="msg" value="$(msg)"/>';
echo'</go></anchor><br>--------------------<br>';
}
}else{echo '<br><img src="../images/img/reload.gif" alt=""> Произошла ошибка, не выбрано сообщение для редактирования!<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="chat.php?start='.$start.'&amp;'.SID.'">Вернуться</a>';
}



//-------------------------------- КОНЦОВКА ----------------------------------//
echo '<br>';
if ($total>1) {
echo '<img src="../images/img/error.gif" alt=""> <a href="chat.php?action=prodel&amp;'.SID.'">Очистить чат</a><br>';}

echo'<img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>

